'use strict';

module.exports = options => {
  return async function auth(ctx, next) {
    if (options.is_force > 0) {
      await ctx.helper.verify_token(ctx);
    } else {
      await ctx.helper.verify_token_sample(ctx);
    }
    await next();
  };
};
